{% extends 'profile/layouts/frontend/base.html' %}
{% load static %}
{% load humanize %}
{% block atas %}
<script type="text/javascript" >
    (function(m,e,t,r,i,k,a){m[i]=m[i]||function(){(m[i].a=m[i].a||[]).push(arguments)};
    m[i].l=1*new Date();k=e.createElement(t),a=e.getElementsByTagName(t)[0],k.async=1,k.src=r,a.parentNode.insertBefore(k,a)})
    (window, document, "script", "{% static 'frontend/mc.yandex.ru/metrika/tag.js' %}", "ym");
 
    ym(64713664, "init", {
         clickmap:true,
         trackLinks:true,
         accurateTrackBounce:true,
         webvisor:true
    });
</script>
{% endblock atas %}
{% block main %}
<div class="image_bg--single" style="background-image: url('{{head.images.url}}');"></div>
<div class="page_content single-page tour-single">
    <div class="content-head">
        <div class="wrap">
            <div class="wrap_float">
                <div class="main">
                    <div class="section-top single-row">
                        <div class="single-left">
                            <h1 class="title">
                               {{head.judul}}
                            </h1>
                            <div class="geo"> <div class="star active"></div> Power By A&A Putra Makmur</div>
                        </div>
                        
                    </div>
                  
                   <div class="description single-row">
                       
                       <div class="single-right">
                           <div class="map-iframe">
                               <img src="{% static 'frontend/img/logo-yogyaexplore.png' %}" alt="">
                           </div>
                       </div>
                       <div class="single-left">
                           <p>
                              {{head.deskripsi}}
                           </p>
                       </div>
                   </div>
                </div>
            </div>
        </div>
    </div>
    <div class="content-body">
        <div class="wrap">
            <div class="wrap_float">
                <div class="single-left">
                    <div class="single-content page--content details">
                        <h2>Pengantar</h2>
                        <p>
                            {{head.youtube}}
                        </p>
                        
                        <div class="included">
                            <h2>Fasilitas Yang Didapat</h2>
                            <div class="included-items">
                                {% for x in child %}
                                    <div class="included-item">
                                        <div class="included_title">{{x.judul}}</div>
                                        <div class="included_text">{{x.deskripsi}}</div>
                                    </div>
                                {% endfor %}
                                <!-- <div class="included-item">
                                    <div class="included_title">Air Mineral</div>
                                    <div class="included_text">Snack & Air Mineral selama perjalanan</div>
                                </div>
                                <div class="included-item">
                                    <div class="included_title">Free Parking</div>
                                    <div class="included_text">Gratis Biaya Parkir Wisata</div>
                                </div>
                                <div class="included-item">
                                    <div class="included_title">Free Konsultasi & Pre Order</div>
                                    <div class="included_text">Gratis Konsultasi Wisata & Dapat melakukan Pembayaran dengan Cara DP</div>
                                </div> -->
                            </div>
                        </div>
                       
                    </div>

                    <div class="related_tours" id="end-single-content">
                        <div class="_title">
                            Paket City Tour Terpopuler
                        </div>
                        <div class="most_popular__section">
                            {% for x in popular %}
                                {% if x.id %}
                                    <a href="{% url 'profile:detail_paket' x.id %}" class="slider_item" style="background-image: url('{{x.foto.url}}')">
                                {% else %}
                                    <a href="javascript:void(0)" class="slider_item" style="background-image: url('{{x.foto.url}}')">
                                {% endif %}
                                    <div class="slider_item__content">
                                        <div class="rating">
                                            <div class="stars">
                                                <div class="star active"></div>
                                                <div class="star active"></div>
                                                <div class="star active"></div>
                                                <div class="star active"></div>
                                                <div class="star active"></div>
                                            </div>
                                            
                                        </div>
                                        <div class="title">
                                            {{x.judul}} | <span class="harga">{{x.harga}}</span>  
                                        </div>
                                        <!-- <div class="days">
                                            <span>1 days</span>
                                        </div> -->
                                    </div>
                                </a>
                           {% endfor %}

                           <!-- <a href="single.html" class="slider_item" style="background-image: url(img/gallery/paket/adventure.png)">
                               <div class="slider_item__content">
                                   <div class="rating">
                                   <div class="stars">
                                           <div class="star active"></div>
                                           <div class="star active"></div>
                                           <div class="star active"></div>
                                           <div class="star active"></div>
                                           <div class="star active"></div>
                                       </div>
                                   </div>
                                   <div class="title">
                                      Wisata Adventure | 750K
                                   </div>
                                   <div class="days">
                                       <span>1 days</span>
                                   </div>
                               </div>
                           </a> -->
                           
                       </div>
                    </div>
                   
                </div>
                {% if terlaris.id %}
                <div class="single-right">
                    <div class="single-sidebar">
                        <div class="tour--info" onclick="redirectToDetailPage()">
                            <div class="top" style="background-image: url('{{terlaris.foto.url}}');">
                                <div class="tags">
                                    <div class="tag discount">Terfavorit</div>
                                    
                                </div>
                                <div class="flex-bottom">
                                    <div class="rating">
                                       <div class="stars">
                                           <div class="star active"></div>
                                           <div class="star active"></div>
                                           <div class="star active"></div>
                                           <div class="star active"></div>
                                           <div class="star active"></div>
                                       </div>
                                      
                                    </div>
                                    <div class="_title">{{terlaris.judul}}</div>
                                    
                                </div>
                            </div>
                            <div class="bottom">
                                <div class="cost">
                                    <div class="new-cost">Rp. {{terlaris.diskon|floatformat:0|intcomma}}</div>
                                    <div class="old-cost">Rp. {{terlaris.harga|floatformat:0|intcomma}}</div>
                                </div>
                                <a href="https://wa.me/{{ wa.keterangan }}?text={{ text.keterangan|urlencode }}" class="btn">
                                    Pesan Sekarang
                                </a>
                            </div>
                        </div>
                    </div>
                </div>
                {% endif %}
            </div>
        </div>
    </div>
    <div class="mobile-fixed-bottom getModal" data-href="#book-now">
        Book now
    </div>
</div>
{% endblock main %}
{% block scripts %}
<script>
    var prices = document.querySelectorAll('.harga');

    for (var i = 0; i < prices.length; i++) {
        var price = prices[i].innerHTML;
        price = parseFloat(price).toFixed(0);
        if(price >= 1000){
            price = (price/1000)+'K';
        }
        prices[i].innerHTML = price;
    }
    function redirectToDetailPage() {
        {% if terlaris and terlaris.id %}
            window.location.href = "{% url 'profile:detail_paket' terlaris.id %}";
        {% endif %}
    }
</script>
{% endblock %}